org.apache.hadoop.yarn.server.nodemanager

## Class ContainerManagerEvent

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<ContainerManagerEventType>
  - - org.apache.hadoop.yarn.server.nodemanager.ContainerManagerEvent

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.Event<ContainerManagerEventType>
  Direct Known Subclasses:
    CMgrCompletedAppsEvent, CMgrCompletedContainersEvent, CMgrSignalContainersEvent, CMgrUpdateContainersEvent

      public class ContainerManagerEvent
      extends org.apache.hadoop.yarn.event.AbstractEvent<ContainerManagerEventType>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerManagerEvent(ContainerManagerEventType type)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerManagerEvent

          public ContainerManagerEvent(ContainerManagerEventType type)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.